Page MenuHomePhabricator

WORKSHOP: Pattypan (10.30 - 12.15)
Closed, ResolvedPublic

Description

Dear to be Wikimedia Commons mass uploader,

To get the most out of the 135 minutes we have at our workshop, please prepare the following before attending:

  1. (Stating the obvious) Create a wikimedia account
  2. Select 5 tot 10 images or files you created yourself that you would like to upload to Wikimedia Commons. See this cartoon for an idea what sort of material you can use (copyright wise). Also, check out the related tasks of this workhop for batches to work on.
  3. Please install pattypan (free Java download).
  4. Please install the latest version of java (Pattypan will give you a link upon installation if you do not have Java yet)
  5. Please make sure you have Libre Office calc or Microsoft Excel (in case you do not have it)

Documentation and manuels for the tool can be found on Commons and on Github.

Looking forward to seeing you in Pattypan-class!

Best,

Details

Due Date
Nov 22 2019, 9:30 AM

Related Objects

StatusSubtypeAssignedTask
ResolvedMichellevL_WMNL
OpenMichellevL_WMNL
ResolvedEcritures
ResolvedEcritures
OpenEcritures
ResolvedEcritures
ResolvedEcritures
ResolvedEcritures
Resolvedsiebrand
ResolvedEcritures
ResolvedEcritures
ResolvedMichellevL_WMNL
OpenEcritures
OpenOlafJanssen
OpenNone
OpenNone
OpenEcritures
OpenEcritures
OpenEcritures
OpenEcritures
OpenEcritures
OpenEcritures
OpenEcritures
OpenEcritures
OpenNone
ResolvedEcritures
OpenEcritures
OpenNone

Event Timeline

Ecritures renamed this task from WORKSHOP Pattypan to WORKSHOP: Pattypan.Oct 21 2019, 10:01 AM
Ecritures triaged this task as Medium priority.
Ecritures raised the priority of this task from Medium to High.
Ecritures created this task.
Ecritures renamed this task from WORKSHOP: Pattypan to WORKSHOP: Pattypan (10.30 - 12.15).Oct 21 2019, 10:16 AM
Ecritures set Due Date to Nov 23 2019, 9:30 AM.
Ecritures changed Due Date from Nov 23 2019, 9:30 AM to Nov 22 2019, 9:30 AM.Oct 21 2019, 10:19 AM
MichellevL_WMNL added a comment.EditedNov 15 2019, 3:42 PM

In this workshop we are going to take a look at Pattypan, a tool for mass uploading images to Wikimedia Commons. It is a Java application and makes use of a spreadsheet and allows for a high amount of flexibility when proper, detailed image descriptions are important for the images' reuse on Wikimedia projects, for example when you work at a cultural heritage institution.

We will look at Pattypan from a newbie perspective, and address the following topics:

  • Wikimedia Commons
  • metadata on Wikimedia Commons (templates)
  • copyright on Wikimedia Commons (& copyright templates)
  • uploading with Pattypan: step-by-step demonstration

After this workshop, you will be able to start working on one of the Pattypan-related work sessions that are on Phabricator (and that are assigned to this tasks as related tasks).

Preparation
For this workshop, please install in advance:

  • Pattypan 19.06
  • latest version of java (Pattypan will give you a link upon installation if you do not have Java yet)
  • Libre Office calc or Microsoft Excel (in case you do not have it)

Pattypan documentation page on Commons:
https://commons.wikimedia.org/wiki/Commons:Pattypan

Ecritures closed this task as Resolved.Nov 22 2019, 2:02 PM
Ecritures moved this task from Friday 22nd November to Done on the Wiki-Techstorm-2019 board.